## com.lowagie.text.pdf.codec.postscript
Class MetaDoPS

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.MetaDoPS

    public class MetaDoPS

extends java.lang.Object

Field Summary
`(package private) int` `bottom`
`PdfContentByte` `cb`
`(package private) java.io.InputStream` `in`
`(package private) int` `inch`
`(package private) int` `left`
`(package private) int` `right`
`(package private) int` `top`

Constructor Summary
`MetaDoPS(java.io.InputStream in, PdfContentByte cb)`

Method Summary
`void` `readAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cb

    public PdfContentByte cb

### in

    java.io.InputStream in

### left

    int left

### top

    int top

### right

    int right

### bottom

    int bottom

### inch

    int inch

Constructor Detail

### MetaDoPS

    public MetaDoPS(java.io.InputStream in,
                    PdfContentByte cb)

Method Detail

### readAll

    public void readAll()
                 throws java.io.IOException,
                        DocumentException

  Throws:
    `java.io.IOException`
    `DocumentException`